Edushade Docs
Categories

Update category

PUT
/admin/categories/{category_id}
AuthorizationBearer <token>

In: header

Path Parameters

category_idstring

The category id identifier

Formatuuid
colorstring
Default"#6f42c1"
descriptionstring
Default"Updated description for technology category"
namestring
Default"Advanced Technology"
order_indexinteger
Default2
statusstring
Default"published"
thumbnailstring
Default"https://example.com/updated-tech-thumbnail.jpg"
Formaturi

Response Body

curl -X PUT "https://edushade.com/api/v1/admin/categories/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Content-Type: application/json" \
  -d '{
    "color": "#6f42c1",
    "description": "Updated description for technology category",
    "name": "Advanced Technology",
    "order_index": 2,
    "status": "published",
    "thumbnail": "https://example.com/updated-tech-thumbnail.jpg"
  }'
{}
Empty
Empty
Empty